#
# spec file for package UnLZX2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           UnLZX2
Version:        2.16
Release:        2.3
Summary:        UnLZX with new args
License:        SUSE-Permissive
Group:          Productivity/Archiving/Compression
URL:            http://xavprods.free.fr/lzx
# http://aminet.net/util/arc/UnLZX2.lha
Source0:        UnLZX2.lha
# PATCH-FIX-OPENSUSE fix-implicit.patch
Patch0:         fix-implicit.patch
BuildRequires:  lha

%description
This is based on the UnLZX port by David Tritscher <dt14@uow.edu.au>
                           changed by <Andreas_Kleinert@t-online.de>

%prep
%setup -q -c -T
lha x %{SOURCE0}
cp UnLZX2.readme README
%patch0 -p1

%build
pushd UnLZX2/src
gcc %{optflags} -o %{name} unlzx.c
popd

%install
install -Dm0755 UnLZX2/src/%{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README
%{_bindir}/%{name}

%changelog
* Sat Jan 26 2019 aloisio@gmx.com
- Initial package (v2.16)
- Added fix-implicit.patch to address rpmlint warnings
